PETSc version 3.15.5
Fix/Edit manual page

# MatDenseCUDARestoreArrayRead

Restore read-only access to the CUDA buffer inside a dense matrix previously obtained with a call to MatDenseCUDAGetArrayRead().

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatDenseCUDARestoreArrayRead(Mat A, const PetscScalar **a)

Not Collective

### Input Parameters

| A | - the matrix
| array | - the GPU array in column major order

### Notes

Data can be copied to the GPU due to operations done on the CPU. If you need write only access, use MatDenseCUDAGetArrayWrite().

### See Also

MatDenseCUDAGetArray(), MatDenseCUDARestoreArray(), MatDenseCUDARestoreArrayWrite(), MatDenseCUDAGetArrayWrite(), MatDenseCUDAGetArrayRead()

### Level

developer

### Location

src/mat/impls/dense/mpi/mpidense.c

### Implementations

MatDenseCUDARestoreArrayRead_MPIDenseCUDA in src/mat/impls/dense/mpi/mpidense.c
MatDenseCUDARestoreArrayRead_SeqDenseCUDA in src/mat/impls/dense/seq/cuda/densecuda.cu
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages